/* essencial */

body{
    background-color: #001312;
}
.container{
    border-style: solid;
    border-width: 2px;
    border-radius: 10px;
    border-color: rgba(81, 211, 234, 0.5);
    background-color: #06263a;
    padding: 10px 25px;
}
.wrapper{
    border-radius: 10px;
    background-color: #02202b;
    padding: 1px;
    height: fit-content;
}

#contentWrapper{
    width: 75%;
    height: fit-content;
    margin-left: auto;
    margin-right: auto;
    align-content: center;
    gap: 15px;
    display: grid;
    transition: .25s;
}

/* element diffining */

h1{
    font-family: "Segoe UI",Arial,sans-serif;
    color: #20b4ce;
}
p{
    font-family: "Segoe UI",Arial,sans-serif;
    color: #e0faff; 
}
img{
    border-radius: 10px;
}
video{
    border-radius: 10px;
    width: 100%;
    aspect-ratio: 16/9;
    max-width: 100%;
}
/* iframe{
    border-radius: 10px;
    width: 100%;
    max-width: 100%;
} */
button{
    background-color: #06263a;
    color: #e0faff;
    font-family: "Segoe UI",Arial,sans-serif;
    font-size: large;
    border-style: groove;
    border-color: rgba(81, 211, 234, 0.5);
    border-width: 2px;
    border-radius: 10px;
    height: fit-content;
    width: fit-content;
    transition: .15s;
    padding: 5px;
}
.name{
    vertical-align: top;
    font-size: 20px;
}

/* menu */

.menu{
    font-size: medium;
}

.menu ul {
    list-style-type: none;
    gap: 5px;
    transition: .5s;
}

/* animation */

button:hover {
    transition: .25s;
    padding-right: 10px;
    padding-left: 10px;
    font-size:x-large;
    background-color: #307e8b;
    box-shadow: 0px 0px 30px 10px rgba(0, 255, 255, 0.301);
    border-radius: 12px;
}


/* mobile support */

@media screen and (max-width:750px) { 
    #contentWrapper{
        width: 100%;
    }  
}